# Ctrl IDE

A keyboard driven IDE in your terminal, the unix way.

```txt
,---,---,---,---,---,---,---,---,---,---,---,---,---,-------,
|   |   |   |   |   |   |   |   |   |   |   | [ | ] | <-    |
|---'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-----|
| ->| |   |   |   |   |   |   |   |   |   |   | [ | ] |  \  |
|-----',--',--',--',--',--',--',--',--',--',--',--',--'-----|
| Caps |   |   | C | T | R | L |   |   |   | ; | ' |  Enter |
|------'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'-,-'--------|
|        |   |   |   |   |   |   |   | , | . | / |          |
|------,-',--'--,'---'---'---'---'---'---'-,-'---',--,------|
| ctrl |  | alt |                          | alt  |  | ctrl |
'------'  '-----'--------------------------'------'  '------'
```

## Primary tools used

- Nushell
- Yazi
- Helix editor
- Zellij
- Lazygit

## Inspiration

### Design

- Catppuccin

### IDE/Code editor

- Jetbrain's IDE

## Thanks to

### Design

- Nieminen Mika for the ascii art
- Catppuccin

### Language servers
